# Contributing
Contributions to this repository are intended to follow the VRS
[development process](https://vrs.ga4gh.org/en/stable/appendices/development_process.html).
The additional information presented here are guidelines for issues, 
branches, commits, and pull requests. Before adding documentation, 
please also review the [docs style guide](docs/source/style.rst).

## Issues
[Issues](https://github.com/ga4gh/vrs/issues) are for discussion, bug
reports, and feature requests. When creating an issue, use sentence case
for the issue title and avoid the use of periods at the end of titles.

## Branches
[Branches](https://github.com/ga4gh/vrs/branches) are used for
versioning and feature additions. Version branches are to be created by
repo administrators only. Feature branches must be associated with an
open issue describing the desired feature, and named after the issue
as <issue number>-<short-description>. For example, the associated
branch for [issue 250](https://github.com/ga4gh/vrs/issues/250) could
be `250-contributing`.

## Pull Requests
[Pull Requests](https://github.com/ga4gh/vrs/pulls) (PRs) for new 
features should target the `main` branch. For version 
patches, the PR should target the appropriate minor version branch.
PRs must be approved by at least one project maintainer before they may
be merged. PR titles must reflect the issue associated with the PR. For
example, the associated PR title for 
[issue 250](https://github.com/ga4gh/vrs/issues/250) would be
`#250: Add CONTRIBUTING.md`, as seen in 
[PR #253](https://github.com/ga4gh/vrs/pull/253).